- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DAnimation (Deprecated)
- QAnimationClipLoader
- Qt 6.8.3 Reference Documentation

# QAnimationClipLoader Class

class Qt3DAnimation::QAnimationClipLoader

Enables loading key frame animation data from a file. More...

Header: | `#include <QAnimationClipLoader>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3danimation)` `target_link_libraries(mytarget PRIVATE Qt6::3danimation)`
qmake: | `QT += 3danimation`
Inherits: | Qt3DAnimation::QAbstractAnimationClip
Status: | Deprecated

- List of all members, including inherited members

## Public Types

enum | Status { NotReady, Ready, Error }

## Properties

- source : QUrl
- status : const Status

## Public Functions

QUrl | source() const
Qt3DAnimation::QAnimationClipLoader::Status | status() const

## Public Slots

void | setSource(const QUrl &source)

## Signals

void | sourceChanged(const QUrl &source)
void | statusChanged(Qt3DAnimation::QAnimationClipLoader::Status status)

## Detailed Description

## Member Type Documentation

### enum QAnimationClipLoader::Status

This enum identifies the status of animation clip.

Constant | Value | Description
--- | --- | ---
`Qt3DAnimation::QAnimationClipLoader::NotReady` | `0` | The clip has not been loaded yet
`Qt3DAnimation::QAnimationClipLoader::Ready` | `1` | The clip was successfully loaded
`Qt3DAnimation::QAnimationClipLoader::Error` | `2` | An error occurred while loading the clip

## Property Documentation

### source : QUrl

Holds the source URL from which to load the animation clip. Currently glTF2 and the native Qt 3D json animation file formats are supported.

In the case where a file contains multiple animations, it is possible to select which animation should be loaded by way of query parameters on the source url. The accepted query parameters are animationIndex and animationName. If both are specified, animationName is ignored.

If a file contains only a single animation, there is no need to specify the animationIndex or animationName. We simply use the one available animation.

Access functions:

QUrl | source() const
void | setSource(const QUrl &source)

Notifier signal:

void | sourceChanged(const QUrl &source)

### `[read-only]` status : const Status

This property contains the status of the animation clip.

Access functions:

Qt3DAnimation::QAnimationClipLoader::Status | status() const

Notifier signal:

void | statusChanged(Qt3DAnimation::QAnimationClipLoader::Status status)

## Member Function Documentation

### Qt3DAnimation::QAnimationClipLoader::Status QAnimationClipLoader::status() const

Returns the status of the animation clip.

Note: Getter function for property status.